Subject: bug#11519: "Wrong type argument: characterp" building custom-deps while boostrapping

From: Kenichi Handa <[email-masked]>
Date: Wed, 23 May 2012 23:10:51 +0900

In article <[email-masked]>, Stefan Monnier <[email-masked]> writes:

> This brings up back to the issue of calling maybe_unify_char in
> STRING_CHAR_AND_LENGTH.  One more strike against it.  Handa, could you
> prepare a patch that removes this?

Ok, I'll work on it.  But, it's not for 24.1, right?

> > If you agree with the diagnosis, then how about the change below?

> Might be an acceptable workaround for the emacs-24 branch, yes (tho I'd
> replace "inhibit ? 0 : 1" with "!inhibit").

I think it is not just a workaround.  If we can suppress
buffer/string relocation temporarily, we can utilize that
functionality in several other places.

---
Kenichi Handa
[email-masked]